User account creation filtered due to spam.

Bug 10377 - gcc-3.2.2 creates bad assembler for cris
Summary: gcc-3.2.2 creates bad assembler for cris
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.2.2
: P3 normal
Target Milestone: ---
Assignee: Hans-Peter Nilsson
URL:
Keywords: wrong-code
Depends on:
Blocks:
 
Reported: 2003-04-11 14:46 UTC by uwe_reimann
Modified: 2003-07-25 17:33 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
infocmp.i (24.42 KB, text/x-c)
2003-05-21 15:17 UTC, uwe_reimann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description uwe_reimann 2003-04-11 14:46:00 UTC
infocmp.s: Assembler messages:
infocmp.s:2058: Error: Illegal operands

Release:
gcc version 3.2.2

Environment:
cris-axis-linux-gnu
(but reproduceable on i686 with cris-axis-linux-gnu-cross-compiler)

How-To-Repeat:
gcc -O2 -fPIC -c infocmp.i
Comment 1 Hans-Peter Nilsson 2003-04-11 22:53:36 UTC
Responsible-Changed-From-To: unassigned->hp
Responsible-Changed-Why: Maintainer.
Comment 2 Hans-Peter Nilsson 2003-04-11 23:17:00 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Repeated with gcc-3_2-branch as of "Fri Apr 11 23:01:44 UTC 2003".
Comment 3 Hans-Peter Nilsson 2003-04-14 14:01:42 UTC
From: hp@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/10377
Date: 14 Apr 2003 14:01:42 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	hp@gcc.gnu.org	2003-04-14 14:01:42
 
 Modified files:
 	gcc/testsuite  : ChangeLog 
 Added files:
 	gcc/testsuite/gcc.dg: 20030414-1.c 
 
 Log message:
 	PR target/10377
 	* gcc.dg/20030414-1.c: New test.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&r1=1.2592&r2=1.2593
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/20030414-1.c.diff?cvsroot=gcc&r1=NONE&r2=1.1
 

Comment 4 Hans-Peter Nilsson 2003-04-14 14:06:08 UTC
From: hp@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/10377
Date: 14 Apr 2003 14:06:08 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	hp@gcc.gnu.org	2003-04-14 14:06:08
 
 Modified files:
 	gcc/testsuite  : ChangeLog 
 Added files:
 	gcc/testsuite/gcc.dg: 20030414-1.c 
 
 Log message:
 	PR target/10377
 	* gcc.dg/20030414-1.c: New test.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.2261.2.139&r2=1.2261.2.140
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/20030414-1.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=NONE&r2=1.1.2.1
 

Comment 5 Hans-Peter Nilsson 2003-04-14 14:08:36 UTC
From: hp@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/10377
Date: 14 Apr 2003 14:08:36 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	hp@gcc.gnu.org	2003-04-14 14:08:36
 
 Modified files:
 	gcc/testsuite  : ChangeLog 
 Added files:
 	gcc/testsuite/gcc.dg: 20030414-1.c 
 
 Log message:
 	PR target/10377
 	* gcc.dg/20030414-1.c: New test.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.1672.2.166.2.125&r2=1.1672.2.166.2.126
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/20030414-1.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=NONE&r2=1.1.4.1
 

Comment 6 Hans-Peter Nilsson 2003-04-14 14:32:45 UTC
From: hp@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/10377
Date: 14 Apr 2003 14:32:45 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	hp@gcc.gnu.org	2003-04-14 14:32:45
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/config/cris: cris.md 
 
 Log message:
 	PR target/10377
 	* config/cris/cris.md ("*mov_sideqi", "*mov_sidehi")
 	("*mov_sidesi", "*mov_sideqi_mem", "*mov_sidehi_mem")
 	("*mov_sidesi_mem", "*clear_sidesi", "*clear_sidehi")
 	("*clear_sideqi", "*ext_sideqihi", "*ext_sideqisi")
 	("*ext_sidehisi", "*op_sideqi", "*op_sidehi", "*op_sidesi")
 	("*op_swap_sideqi", "*op_swap_sidehi", "*op_swap_sidesi")
 	("*extopqihi_side", "*extopqisi_side", "*extophisi_side")
 	("*extopqihi_swap_side", "*extopqisi_swap_side")
 	("*extophisi_swap_side", 8th, 9th, 10th, 11th, 14th peepholes):
 	When next to constraint R, replace constraint i with n.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.17433&r2=1.17434
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/cris/cris.md.diff?cvsroot=gcc&r1=1.7&r2=1.8
 

Comment 7 Hans-Peter Nilsson 2003-04-14 14:39:59 UTC
From: hp@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/10377
Date: 14 Apr 2003 14:39:59 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	hp@gcc.gnu.org	2003-04-14 14:39:58
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/config/cris: cris.md 
 
 Log message:
 	PR target/10377
 	* config/cris/cris.md ("*mov_sideqi", "*mov_sidehi")
 	("*mov_sidesi", "*mov_sideqi_mem", "*mov_sidehi_mem")
 	("*mov_sidesi_mem", "*clear_sidesi", "*clear_sidehi")
 	("*clear_sideqi", "*ext_sideqihi", "*ext_sideqisi")
 	("*ext_sidehisi", "*op_sideqi", "*op_sidehi", "*op_sidesi")
 	("*op_swap_sideqi", "*op_swap_sidehi", "*op_swap_sidesi")
 	("*extopqihi_side", "*extopqisi_side", "*extophisi_side")
 	("*extopqihi_swap_side", "*extopqisi_swap_side")
 	("*extophisi_swap_side", 8th, 9th, 10th, 11th, 14th peepholes):
 	When next to constraint R, replace constraint i with n.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.440&r2=1.16114.2.441
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/cris/cris.md.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.6.4.1&r2=1.6.4.2
 

Comment 8 Hans-Peter Nilsson 2003-04-14 21:25:13 UTC
From: hp@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/10377
Date: 14 Apr 2003 21:25:13 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	hp@gcc.gnu.org	2003-04-14 21:25:12
 
 Modified files:
 	gcc            : ChangeLog 
 
 Log message:
 	Forgot PR target/10377 annotation
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.302&r2=1.13152.2.657.2.303
 
Comment 9 Hans-Peter Nilsson 2003-04-14 21:28:41 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Committed <URL:http://gcc.gnu.org/ml/gcc-patches/2003-04/msg00983.html>
    to 3.2, 3.3 and HEAD.